Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154753 - rpmbuild of kernel-2.6.11-1.1236_FC4 fails: System.map O_RDONLY
Summary: rpmbuild of kernel-2.6.11-1.1236_FC4 fails: System.map O_RDONLY
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 22:51 UTC by John Reiser
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-28 00:10:54 UTC


Attachments (Terms of Use)
strace output from depmod (deleted)
2005-04-13 22:54 UTC, John Reiser
no flags Details

Description John Reiser 2005-04-13 22:51:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2) Gecko/20040308

Description of problem:
"rpmbuild -bc --target ppc kernel-2.6.spec" fails at step:
make ARCH=ppc INSTALL_MOD_PATH=/var/tmp/kernel-2.6.11-1.1236_FC4.jreiser-root
modules_install KERNELRELEASE=2.6.11-1.1236_FC4.jreiser

The commandline which fails is:
if [ -r System.map -a -x /sbin/depmod ]; then /sbin/depmod -ae -F System.map -b
/var/tmp/kernel-2.6.11-1.1236_FC4.jreiser-root -r 2.6.11-1.1236_FC4.jreiser; fi
make: *** [_modinst_post] Error 1

Re-running that command from the BUILD/kernel-2.6.11/linux-2.6.11 directory using 'strace' shows:
  open("System.map", O_RDONLY)            = -1 EACCES (Permission denied)

This does not make sense.  The file
$HOME/rpmbuild/BUILD/kernel-2.6.11/linux-2.6.11/System.map
exists, has permissions -rw-r--r--, has attributes ("lsattr") of "-------------".  SELinux is in targeted, enforcing mode; there are no relevant "avc" lines in /var/log/messages.

$HOME/.rpmmacros has:
-----
%packager %(echo $USER)
%_topdir %(echo "$HOME")/rpmbuild
-----

This entire behavior repeats under kernel-2.6.11-1.1236_FC4 and kernel-2.6.11-1.1238_FC4  (note: ARCH is ppc).


Version-Release number of selected component (if applicable):
rpm-build-4.4.1-9

How reproducible:
Always

Steps to Reproduce:
1. rpm --install kernel-2.6.11-1.1236_FC4.src.rpm
2. cd $HOME/rpmbuild/SPECS
3. change to "buildsmp 0", both at top level and in "%ifarch ppc".
4. rpmbuild -bc --target ppc kernel-2.6.spec >rpm.out 2>&1

  

Actual Results:  rpmbuild fails as in Description above: "make ... modules_install ..." exits with status 1; the depmod fails.

Expected Results:  Entire rpmbuild should have succeeded.

Additional info:

Complete 27 lines output from strace will be attached.

Comment 1 John Reiser 2005-04-13 22:54:12 UTC
Created attachment 113127 [details]
strace output from depmod

Note: ARCH is ppc.

Comment 2 Jeff Johnson 2005-10-25 22:58:00 UTC
This is a kernel packaging, not an rpm, problem.

Comment 3 Dave Jones 2005-10-26 02:52:37 UTC
is this still happening with latest packages ?


Comment 4 John Reiser 2005-10-26 19:48:54 UTC
"rpmbuild -ba --target ppc kernel-2.6.spec" for kernel-2.6.13-1.1532 builds OK
on ppc.

Comment 5 Dave Jones 2005-10-28 00:10:54 UTC
strange. no idea what fixed that one.   thanks for retesting anyway.



Note You need to log in before you can comment on or make changes to this bug.